Bug 428383 - avc denial for alsactl on shutdown
avc denial for alsactl on shutdown
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.1
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-11 03:22 EST by Alexander Todorov
Modified: 2014-11-28 08:44 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 15:22:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of avc denial (445.10 KB, image/jpeg)
2008-01-11 03:22 EST, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2008-01-11 03:22:10 EST
Description of problem:
When shutting down the machine I get avc denial.

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-104.el5
alsa-utils-1.0.14-2.rc4.el5
RHEL 5.1

How reproducible:
Always

Steps to Reproduce:
1. Shutdown the computer and observe the messages on the console
2.
3.
  
Actual results:
avc denial

Expected results:
no denials

Additional info:
The machine in question is a lenovo T60 laptop.
The message is:
avc: denied { use } for pid=22396 comm="alsactl" path="/dev/console"
scontext=system_u:system_r:alsa_t:s0 tcontext=system_u:system_r:init_t:s0

See the attached screenshot for details.
Comment 1 Alexander Todorov 2008-01-11 03:22:10 EST
Created attachment 291360 [details]
screenshot of avc denial
Comment 2 RHEL Product and Program Management 2008-01-11 03:25:11 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Daniel Walsh 2008-01-11 15:22:57 EST
Please try this with the U1 policy.

selinux-policy-2.4.6-106.el5_1.3
Comment 4 Alexander Todorov 2008-01-14 06:52:08 EST
(In reply to comment #3)
> Please try this with the U1 policy.
> 
> selinux-policy-2.4.6-106.el5_1.3

Works. Thanks.


Note You need to log in before you can comment on or make changes to this bug.